=== modified file 'src/main.cpp'
--- src/main.cpp	2010-07-12 14:03:14 +0000
+++ src/main.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "oglsdl.h"
 #include "scene.h"
 

=== modified file 'src/matrix.cpp'
--- src/matrix.cpp	2010-07-12 10:06:29 +0000
+++ src/matrix.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,23 @@
+/*
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "matrix.h"
 
 /** 

=== modified file 'src/matrix.h'
--- src/matrix.h	2010-07-12 10:06:29 +0000
+++ src/matrix.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,23 @@
+/*
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _MATRIX_H
 #define _MATRIX_H
 

=== modified file 'src/mesh.cpp'
--- src/mesh.cpp	2010-07-12 10:06:29 +0000
+++ src/mesh.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "mesh.h"
 #include "shader.h"
 

=== modified file 'src/mesh.h'
--- src/mesh.h	2010-07-12 10:06:29 +0000
+++ src/mesh.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _MESH_H
 #define _MESH_H
 

=== modified file 'src/model.cpp'
--- src/model.cpp	2010-07-12 10:06:29 +0000
+++ src/model.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "model.h"
 
 long filelength(int f)

=== modified file 'src/model.h'
--- src/model.h	2010-07-12 10:06:29 +0000
+++ src/model.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _MODEL_H
 #define _MODEL_H
 

=== modified file 'src/oglsdl.h'
--- src/oglsdl.h	2010-07-12 10:06:29 +0000
+++ src/oglsdl.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _OGLSDL_H
 #define _OGLSDL_H
 

=== modified file 'src/scene.cpp'
--- src/scene.cpp	2010-07-12 10:06:29 +0000
+++ src/scene.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "scene.h"
 
 Scene::Scene(Screen &pScreen) :

=== modified file 'src/scene.h'
--- src/scene.h	2010-07-12 10:06:29 +0000
+++ src/scene.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _SCENE_H
 #define _SCENE_H
 

=== modified file 'src/scenebuild.cpp'
--- src/scenebuild.cpp	2010-07-12 10:06:29 +0000
+++ src/scenebuild.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "scene.h"
 
 SceneBuild::~SceneBuild()

=== modified file 'src/sceneshading.cpp'
--- src/sceneshading.cpp	2010-07-12 15:52:43 +0000
+++ src/sceneshading.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "scene.h"
 #include "matrix.h"
 

=== modified file 'src/scenetexture.cpp'
--- src/scenetexture.cpp	2010-07-12 10:06:29 +0000
+++ src/scenetexture.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "scene.h"
 #include "matrix.h"
 

=== modified file 'src/screen-sdl-gl.cpp'
--- src/screen-sdl-gl.cpp	2010-07-12 13:37:04 +0000
+++ src/screen-sdl-gl.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "screen-sdl-gl.h"
 
 ScreenSDLGL::ScreenSDLGL(int pWidth, int pHeight, int pBpp, int pFullScreen, int pFlags)

=== modified file 'src/screen-sdl-gl.h'
--- src/screen-sdl-gl.h	2010-07-12 12:15:52 +0000
+++ src/screen-sdl-gl.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _SCREEN_SDL_GL_H
 #define _SCREEN_SDL_GL_H
 

=== modified file 'src/screen-sdl-glesv2.cpp'
--- src/screen-sdl-glesv2.cpp	2010-07-12 13:37:04 +0000
+++ src/screen-sdl-glesv2.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "screen-sdl-glesv2.h"
 #include "sdlgles/SDL_gles.h"
 

=== modified file 'src/screen-sdl-glesv2.h'
--- src/screen-sdl-glesv2.h	2010-07-12 13:37:04 +0000
+++ src/screen-sdl-glesv2.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _SCREEN_SDL_GLESv2_H
 #define _SCREEN_SDL_GLESv2_H
 

=== modified file 'src/screen-sdl.cpp'
--- src/screen-sdl.cpp	2010-07-12 12:15:52 +0000
+++ src/screen-sdl.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "screen-sdl.h"
 
 ScreenSDL::ScreenSDL(int pWidth, int pHeight, int pBpp, int pFullScreen, int pFlags)

=== modified file 'src/screen-sdl.h'
--- src/screen-sdl.h	2010-07-12 12:15:52 +0000
+++ src/screen-sdl.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _SCREEN_SDL_H
 #define _SCREEN_SDL_H
 

=== modified file 'src/screen.h'
--- src/screen.h	2010-07-12 12:15:52 +0000
+++ src/screen.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _SCREEN_H
 #define _SCREEN_H
 

=== modified file 'src/shader.cpp'
--- src/shader.cpp	2010-07-12 16:14:14 +0000
+++ src/shader.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "shader.h"
 
 char *readShaderFile(const char *FileName)

=== modified file 'src/shader.h'
--- src/shader.h	2010-07-12 10:06:29 +0000
+++ src/shader.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _SHADER_H
 #define _SHADER_H
 

=== modified file 'src/texture.cpp'
--- src/texture.cpp	2010-07-12 15:48:05 +0000
+++ src/texture.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "texture.h"
 
 int load_texture(const char pFilename[], GLuint *pTexture)

=== modified file 'src/texture.h'
--- src/texture.h	2010-07-12 10:06:29 +0000
+++ src/texture.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _TEXTURE_H
 #define _TEXTURE_H
 

=== modified file 'src/vector.cpp'
--- src/vector.cpp	2010-07-12 10:06:29 +0000
+++ src/vector.cpp	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #include "vector.h"
 
 Vector3f::Vector3f()

=== modified file 'src/vector.h'
--- src/vector.h	2010-07-12 10:06:29 +0000
+++ src/vector.h	2010-07-13 10:22:05 +0000
@@ -1,3 +1,25 @@
+/*
+ * Copyright © 2008 Ben Smith
+ * Copyright © 2010 Linaro
+ *
+ * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
+ *
+ * glmark2 is free software: you can redistribute it and/or modify it under the
+ * terms of the GNU General Public License version 3, as published by the Free
+ * Software Foundation.
+ *
+ * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
+ * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * glmark2.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authors:
+ *  Ben Smith (original glmark benchmark)
+ *  Alexandros Frantzis (glmark2)
+ */
 #ifndef _VECTOR_H
 #define _VECTOR_H
 