=== modified file 'src/main.cpp'
--- src/main.cpp	2011-01-25 14:00:35 +0000
+++ src/main.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/matrix.cpp'
--- src/matrix.cpp	2010-11-19 12:03:25 +0000
+++ src/matrix.cpp	2011-01-25 15:00:12 +0000
@@ -1,11 +1,12 @@
 /*
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/matrix.h'
--- src/matrix.h	2010-07-13 10:22:05 +0000
+++ src/matrix.h	2011-01-25 15:00:12 +0000
@@ -1,11 +1,12 @@
 /*
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/mesh.cpp'
--- src/mesh.cpp	2010-11-19 12:03:25 +0000
+++ src/mesh.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/mesh.h'
--- src/mesh.h	2010-11-19 12:03:25 +0000
+++ src/mesh.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/model.cpp'
--- src/model.cpp	2010-11-19 12:03:25 +0000
+++ src/model.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/model.h'
--- src/model.h	2010-07-13 10:22:05 +0000
+++ src/model.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/oglsdl.h'
--- src/oglsdl.h	2010-07-13 10:22:05 +0000
+++ src/oglsdl.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/scene.cpp'
--- src/scene.cpp	2010-11-19 12:03:25 +0000
+++ src/scene.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/scene.h'
--- src/scene.h	2010-07-13 10:22:05 +0000
+++ src/scene.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/scenebuild.cpp'
--- src/scenebuild.cpp	2011-01-25 14:00:35 +0000
+++ src/scenebuild.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/sceneshading.cpp'
--- src/sceneshading.cpp	2011-01-25 14:00:35 +0000
+++ src/sceneshading.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/scenetexture.cpp'
--- src/scenetexture.cpp	2011-01-25 14:00:35 +0000
+++ src/scenetexture.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/screen-sdl-gl.cpp'
--- src/screen-sdl-gl.cpp	2010-07-13 10:22:05 +0000
+++ src/screen-sdl-gl.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/screen-sdl-gl.h'
--- src/screen-sdl-gl.h	2010-07-13 10:22:05 +0000
+++ src/screen-sdl-gl.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/screen-sdl-glesv2.cpp'
--- src/screen-sdl-glesv2.cpp	2010-11-19 18:09:32 +0000
+++ src/screen-sdl-glesv2.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/screen-sdl-glesv2.h'
--- src/screen-sdl-glesv2.h	2010-07-13 10:22:05 +0000
+++ src/screen-sdl-glesv2.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/screen-sdl.cpp'
--- src/screen-sdl.cpp	2010-07-15 09:05:21 +0000
+++ src/screen-sdl.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/screen-sdl.h'
--- src/screen-sdl.h	2010-07-13 10:22:05 +0000
+++ src/screen-sdl.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/screen.h'
--- src/screen.h	2010-07-13 10:22:05 +0000
+++ src/screen.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/shader.cpp'
--- src/shader.cpp	2011-01-25 11:19:56 +0000
+++ src/shader.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/shader.h'
--- src/shader.h	2010-07-13 10:22:05 +0000
+++ src/shader.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/texture.cpp'
--- src/texture.cpp	2010-07-13 10:22:05 +0000
+++ src/texture.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/texture.h'
--- src/texture.h	2010-07-13 10:22:05 +0000
+++ src/texture.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/vector.cpp'
--- src/vector.cpp	2010-07-13 10:22:05 +0000
+++ src/vector.cpp	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS

=== modified file 'src/vector.h'
--- src/vector.h	2010-07-13 10:22:05 +0000
+++ src/vector.h	2011-01-25 15:00:12 +0000
@@ -1,12 +1,13 @@
 /*
  * Copyright © 2008 Ben Smith
- * Copyright © 2010 Linaro
+ * Copyright © 2010-2011 Linaro Limited
  *
  * This file is part of the glmark2 OpenGL (ES) 2.0 benchmark.
  *
  * glmark2 is free software: you can redistribute it and/or modify it under the
- * terms of the GNU General Public License version 3, as published by the Free
- * Software Foundation.
+ * terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 3 of the License, or (at your option) any later
+ * version.
  *
  * glmark2 is distributed in the hope that it will be useful, but WITHOUT ANY
  * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS