=== modified file 'src/main.cpp'
--- src/main.cpp	2010-12-12 14:11:00 +0000
+++ src/main.cpp	2011-01-25 14:00:35 +0000
@@ -52,11 +52,11 @@
         return 1;
     }
 
-    printf("===================================================\n");
+    printf("=======================================================\n");
     printf("    glmark2 %s\n", GLMARK_VERSION);
-    printf("===================================================\n");
+    printf("=======================================================\n");
     screen.print_info();
-    printf("===================================================\n");
+    printf("=======================================================\n");
 
     // Create the scenes.
     Scene *scene[] = {
@@ -123,9 +123,9 @@
     for (unsigned i = 0; i < num_scenes; i++)
         score += scene[i]->calculate_score();
 
-    printf("===================================================\n");
-    printf("Your glmark2 Score is %u  ^_^\n", score);
-    printf("===================================================\n");
+    printf("=======================================================\n");
+    printf("                                  glmark2 Score: %u \n", score);
+	printf("=======================================================\n");
 
     return 0;
 }

=== modified file 'src/scenebuild.cpp'
--- src/scenebuild.cpp	2010-11-19 13:11:20 +0000
+++ src/scenebuild.cpp	2011-01-25 14:00:35 +0000
@@ -91,6 +91,9 @@
     mRunning = true;
     mStartTime = SDL_GetTicks() / 1000.0;
     mLastTime = mStartTime;
+
+    if (mCurrentPart == 0)
+        printf("[Suite] Precompilation\n");
 }
 
 void SceneBuild::update()
@@ -108,11 +111,10 @@
         switch(mCurrentPart)
         {
         case 0:
-            printf("Precompilation\n");
-            printf("    Vertex array                  FPS: %u\n", mAverageFPS[mCurrentPart]);
+            printf("    [Benchmark] Vertex array                FPS: %u\n", mAverageFPS[mCurrentPart]);
             break;
         case 1:
-            printf("    Vertex buffer object          FPS: %u\n", mAverageFPS[mCurrentPart]);
+            printf("    [Benchmark] Vertex buffer object        FPS: %u\n", mAverageFPS[mCurrentPart]);
             break;
         }
         mCurrentPart++;

=== modified file 'src/sceneshading.cpp'
--- src/sceneshading.cpp	2010-11-19 13:11:20 +0000
+++ src/sceneshading.cpp	2011-01-25 14:00:35 +0000
@@ -113,6 +113,9 @@
     mRunning = true;
     mStartTime = SDL_GetTicks() / 1000.0;
     mLastTime = mStartTime;
+
+    if (mCurrentPart == 0)
+        printf("[Suite] Shading\n");
 }
 
 void SceneShading::update()
@@ -129,12 +132,11 @@
 
         switch(mCurrentPart) {
             case 0:
-                printf("Shading\n");
-                printf("    GLSL per vertex lighting      FPS: %u\n",
+                printf("    [Benchmark] GLSL per vertex lighting    FPS: %u\n",
                        mAverageFPS[mCurrentPart]);
                 break;
             case 1:
-                printf("    GLSL per pixel lighting       FPS: %u\n",
+                printf("    [Benchmark] GLSL per pixel lighting     FPS: %u\n",
                        mAverageFPS[mCurrentPart]);
                 break;
         }

=== modified file 'src/scenetexture.cpp'
--- src/scenetexture.cpp	2010-11-19 13:11:20 +0000
+++ src/scenetexture.cpp	2011-01-25 14:00:35 +0000
@@ -97,6 +97,9 @@
     mRunning = true;
     mStartTime = SDL_GetTicks() / 1000.0;
     mLastTime = mStartTime;
+
+    if (mCurrentPart == 0)
+        printf("[Suite] Texture filtering\n");
 }
 
 void SceneTexture::update()
@@ -113,14 +116,13 @@
 
         switch(mCurrentPart) {
             case 0:
-                printf("Texture filtering\n");
-                printf("    Nearest                       FPS: %u\n",  mAverageFPS[mCurrentPart]);
+                printf("    [Benchmark] Nearest                     FPS: %u\n",  mAverageFPS[mCurrentPart]);
                 break;
             case 1:
-                printf("    Linear                        FPS: %u\n",  mAverageFPS[mCurrentPart]);
+                printf("    [Benchmark] Linear                      FPS: %u\n",  mAverageFPS[mCurrentPart]);
                 break;
             case 2:
-                printf("    Mipmapped                     FPS: %u\n",  mAverageFPS[mCurrentPart]);
+                printf("    [Benchmark] Mipmapped                   FPS: %u\n",  mAverageFPS[mCurrentPart]);
                 break;
         }
         mCurrentPart++;